<?php
class context_omega_reaction_omega_layout extends context_reaction {
  /**
   * Options form.
   */
  function options_form($context) {
    // Get the layouts from the cache, theme isn't loaded when using an admin thme.
    $form = array();
    $omega_layouts = context_omega_get_layouts();
    if (!empty($omega_layouts)) {
      $layouts = array();
      foreach ($omega_layouts as $key => $layout) {
        $layouts[$key] = $layout['name'];
      }
      asort($layouts);

      $values = $this->fetch_from_context($context);
      $default_layout = theme_get_setting('omega_layout', '');
      $form = array(
        'layout' => array(
          '#title' => t('Choose the layout'),
          '#description' => t('Choose the layout to use.'),
          '#type' => 'select',
          '#options' => $layouts,
          '#default_value' => isset($values['layout']) ? $values['layout'] : '',
          '#required' => TRUE,
        ),
      );
    }
    else {
      $form = array(
        'xyzzy' => array(
          '#type' => 'markup',
          '#markup' => t("Make sure omega is active."),
        ),
      );
    }

    return $form;
  }
  
  function execute() {
    foreach ($this->get_contexts() as $k => $v) {
      if (!empty($v->reactions[$this->plugin]['layout'])) {
        context_omega_current_omega_layout($v->reactions[$this->plugin]['layout']);
      }
    }
  }
}
